=== debian/control ===
Source: snd
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Dennis Braun <snd@debian.org>,
Build-Depends:
 bzip2,
 debhelper (>= 13.1),
 debhelper-compat (= 13),
 ladspa-sdk,
 libasound2-dev [linux-any],
 libfftw3-dev,
 libgl-dev,
 libglu-dev,
 libgsl-dev,
 libjack-dev,
 libmotif-dev,
 libmpc-dev,
# libnotcurses-dev, libncurses-dev,
 libpulse-dev,
 libsamplerate0-dev,
 libxmu-dev,
 libxpm-dev,
 libxt-dev,
 xutils-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/snd.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/snd
Homepage: https://ccrma.stanford.edu/software/snd/

Package: snd
Architecture: all
Depends:
 snd-common,
 snd-gui-jack | snd-gui-pulse | snd-nox,
 ${misc:Depends},
Recommends:
 snd-doc,
Description: Sound file editor (metapackage)
 Snd is a powerful sound file editor that can be customized and extended
 using the Scheme programming language.
 .
 This package depends on a full installation of Snd.

Package: snd-common
Architecture: all
Multi-Arch: foreign
Replaces:
 snd (<< 20.8),
Breaks:
 snd (<< 20.8),
Depends:
 ${misc:Depends},
Recommends:
 flac,
 guile,
 ladspa-plugin,
 mpg321,
 speex,
 timidity,
 vorbis-tools,
 wavpack,
Suggests:
 snd-doc,
Description: Sound file editor (core)
 Snd is a powerful sound file editor that can be customized and extended
 using the Scheme programming language.
 .
 This package contains the basic infrastructure for the snd packages and
 the scheme files. You have to install a GUI package as well to actually
 use snd.

Package: snd-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Sound file editor (documentation)
 Snd is a powerful sound file editor that can be customized and extended
 using the Scheme programming language.
 .
 This package contains the documentation for snd.

Package: snd-gui-jack
Architecture: any
Provides:
 snd-gui,
Depends:
 snd-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Sound file editor (graphical user interface - JACK)
 Snd is a powerful sound file editor that can be customized and extended
 using the Scheme programming language.
 .
 This package contains the files for the graphical user interface with
 JACK and ALSA support.

Package: snd-gui-pulse
Architecture: any
Depends:
 snd-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Sound file editor (graphical user interface - PulseAudio)
 Snd is a powerful sound file editor that can be customized and extended
 using the Scheme programming language.
 .
 This package contains the files for the graphical user interface with
 PulseAudio support.

Package: snd-nox
Architecture: any
Depends:
 snd-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Sound file editor (cmdline)
 Snd is a powerful sound file editor that can be customized and extended
 using the Scheme programming language.
 .
 This package contains a version of snd compiled with both JACK and ALSA
 support, but without support for X.
