## snd 24.3

=== debian/changelog ===
snd (24.3-1) unstable; urgency=medium

  * New upstream version 24.3
    + Update d/upstream-changelog
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 15 Apr 2024 09:00:56 +0200

snd (24.2-1) unstable; urgency=medium

  * New upstream version 24.2
    + Update d/upstream-changelog
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 18 Mar 2024 16:40:19 +0100
