## snd 24.4

=== debian/changelog ===
snd (24.4-1) unstable; urgency=medium

  * New upstream version 24.4
    + Update d/upstream-changelog
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 17 May 2024 09:20:22 +0200
