## snd 24.5

=== debian/changelog ===
snd (24.5-1build1) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:56:25 +0200

snd (24.5-1) unstable; urgency=medium

  * New upstream version 24.5
    + Update d/upstream-changelog
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 02 Jul 2024 15:07:44 +0200
