## snd 24.6

=== debian/changelog ===
snd (24.6-1) unstable; urgency=medium

  * New upstream version 24.6
    + Update d/upstream-changelog
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Aug 2024 00:01:00 +0200
