## snd 24.7

=== debian/changelog ===
snd (24.7-1) unstable; urgency=medium

  * New upstream version 24.7
    + Update d/upstream-changelog
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 09 Sep 2024 23:40:20 +0200
