## snd 24.8

=== debian/changelog ===
snd (24.8-1) unstable; urgency=medium

  * New upstream version 24.8
    + Update d/upstream-changelog
  * Update AppStream metainfo
  * Re-generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 10 Oct 2024 23:13:48 +0200
