## snd 24.9

=== debian/changelog ===
snd (24.9-1) unstable; urgency=medium

  * New upstream version 24.9
    + Update d/upstream-changelog
  * Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 15 Nov 2024 23:13:51 +0100
