## snd 25.0

=== debian/changelog ===
snd (25.0-1) unstable; urgency=medium

  * New upstream version 25.0
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 06 Jan 2025 18:47:19 +0100
