## snd 25.1

=== debian/changelog ===
snd (25.1-1) unstable; urgency=medium

  * New upstream version 25.1
    + Update d/upstream-changelog
  * Disable multiprecision arithmetic (upstream says its irrelevant)
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 10 Feb 2025 17:27:09 +0100
