=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
  Dennis Braun <snd@debian.org>,
 Build-Depends:
- bzip2,
  debhelper (>= 13.1),
  debhelper-compat (= 13),
+ bzip2,
  ladspa-sdk,
  libasound2-dev [linux-any],
  libfftw3-dev,
