## snd 25.2

=== debian/changelog ===
snd (25.2-1) unstable; urgency=medium

  * New upstream version 25.2
    + Update d/upstream-changelog
  * Update copyright information
    + Bump copyright dates
    + Re-generate d/copyright_hints
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 14 Mar 2025 20:50:46 +0100
