## snd 25.3

=== debian/changelog ===
snd (25.3-1) unstable; urgency=medium

  * New upstream version 25.3
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 22 Apr 2025 11:29:28 +0200
