## snd 25.6

=== debian/changelog ===
snd (25.6-1) unstable; urgency=medium

  * New upstream version 25.6
    + Update d/upstream-changelog
  * Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 21 Aug 2025 23:02:40 +0200
