## snd 25.7

=== debian/changelog ===
snd (25.7-1) unstable; urgency=medium

  * New upstream version 25.7
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 07 Sep 2025 23:13:59 +0200
