=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,6 @@
 
 CONFIG = \
 	--with-ladspa \
-	--with-gmp \
 	--prefix=/usr \
 	PATH_OGGENC=oggenc PATH_OGGDEC=oggdec \
 	PATH_MPG321=mpg321 \
