=== debian/changelog ===
snd (25.8-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 25.8
    + Update d/upstream-changelog
  * Re-generate d/copyright_hints
  * Update git repository layout to follow DEP-14

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 15 Oct 2025 20:38:16 +0200
