=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  libxpm-dev,
  libxt-dev,
  xutils-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/snd.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/snd
