=== debian/tests/control ===
Tests:
 makesound,
Depends:
 python3-numpy,
 python3-soundfile,
 snd-nox,
Restrictions:
 allow-stderr,

Tests:
 build-libcs7,
Depends:
 gcc,
 libc6-dev | libc-dev,
 snd-nox,
Restrictions:
 superficial,
