=== debian/watch ===
# process this file with uscan(1)

# according to upstream the versioning scheme is like follows:
# > The first number is the year, the second goes from
# > 0 to 9 through the year, but I'm ahead one at the end of
# > the year (I used to have 21.10 and the like).  Not completely
# > consistent, perhaps.  The daily tarballs are just the year,
# > snd-20.tar.gz etc.

# the regex for the version is thus the @ANY_VERSION@ regex with a mandatory
# leading number followed by a period.

version=4
opts=dversionmangle=auto \
  https://ccrma.stanford.edu/software/snd/snd-(?:[-_]?(\d+\.\d[\-+\.:\~\da-zA-Z]*))(?i)@ARCHIVE_EXT@
