## snd 25.9

=== debian/changelog ===
snd (25.9-1) unstable; urgency=medium

  * New upstream version 25.9
    + Update d/upstream-changelog
  * Drop obsolete Rules-Requires-Root stanza.
  * Update d/copyright

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 18 Nov 2025 23:27:31 +0100
