=== debian/control ===
--- 
+++ 
@@ -26,7 +26,6 @@
  libxt-dev,
  xutils-dev,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/snd.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/snd
 Homepage: https://ccrma.stanford.edu/software/snd/
