## snd 26.0

=== debian/changelog ===
snd (26.0-1) unstable; urgency=medium

  * New upstream version 26.0
    + Update d/upstream-changelog
  * Drop obsolete 'Priority: optional' stanza.
  * Update d/watch to version 5
  * Bump standards version to 4.7.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 12 Jan 2026 10:27:38 +0100
