## snd 26.1

=== debian/changelog ===
snd (26.1-1) unstable; urgency=medium

  * New upstream version 26.1
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 06 Feb 2026 12:53:58 +0100
